import {
  AKElement,
  EVENT_REFRESH,
  t
} from "./chunk-D7IHD7PN.js";
import {
  x
} from "./chunk-MDYFRBOX.js";
import {
  __decorateClass
} from "./chunk-6IFWU6BM.js";

// src/elements/buttons/Dropdown.ts
var DropdownButton = class extends AKElement {
  constructor() {
    super();
    this.clickHandler = () => {
      if (!this.menu)
        return;
      this.menu.hidden = true;
    };
    this.menu = this.querySelector(".pf-c-dropdown__menu");
    this.querySelectorAll("button.pf-c-dropdown__toggle").forEach((btn) => {
      btn.addEventListener("click", () => {
        if (!this.menu)
          return;
        this.menu.hidden = !this.menu.hidden;
      });
    });
    window.addEventListener(EVENT_REFRESH, this.clickHandler);
  }
  disconnectedCallback() {
    super.disconnectedCallback();
    window.removeEventListener(EVENT_REFRESH, this.clickHandler);
  }
  render() {
    return x`<slot></slot>`;
  }
};
DropdownButton = __decorateClass([
  t("ak-dropdown")
], DropdownButton);
//# sourceMappingURL=chunk-DNEL2E46.js.map
