import {
  authentikEnterpriseContext,
  c
} from "./chunk-D7IHD7PN.js";
import {
  __decorateClass
} from "./chunk-6IFWU6BM.js";

// src/elements/Interface/licenseSummaryProvider.ts
function WithLicenseSummary(superclass, subscribe = true) {
  class WithEnterpriseProvider extends superclass {
    get hasEnterpriseLicense() {
      return this.licenseSummary?.hasLicense;
    }
  }
  __decorateClass([
    c({ context: authentikEnterpriseContext, subscribe })
  ], WithEnterpriseProvider.prototype, "licenseSummary", 2);
  return WithEnterpriseProvider;
}

export {
  WithLicenseSummary
};
//# sourceMappingURL=chunk-PMHZT7EZ.js.map
